/***************************************************************************
                CDataFile
                -----------------------------------------
	begin      : 2011/10/28
	copyright  : (C) 2011 SolutionBox Inc.
	author     : Service 1 Team
	email      : svc1@solbox.com
	version    : 3.0.1

    CopyRight(C) 2011 SolutionBox Inc. All Rights reserved.
    Redistribution and use in source and binary forms, with or with out
    modification, are not permitted in outside of SolutionBox Inc.
***************************************************************************/

#ifndef __LIBRARY_DATAFILE_H__
#define __LIBRARY_DATAFILE_H__

#include <string>
#include <list>
#include <ostream>
#include <sstream>

using namespace std;

class CDataFile
{
private:
	string	m_strFilePath;
	string	m_strFileName;

public:
	CDataFile();
	~CDataFile();

	bool Init(const char* path, bool chkdir = true);
	bool Write(const char* fmt, ...);
	bool Delete();
	bool Delete(const char* path);

	inline string GetFilePath()
		{ return m_strFilePath; }

	inline string GetFileName()
		{ return m_strFileName; }
};

#endif /* __LIBRARY_DATAFILE_H__ */
